Subject: Re: bug#33207: 26.1; Incorrect display of braille unicode

From: Noam Postavsky <[email-masked]>
Date: Tue, 30 Oct 2018 20:54:31 -0400

Eli Zaretskii <[email-masked]> writes:

>> The problem is that the braille unicode character BRAILLE PATTERN BLANK (0x2800) doesn't display as
>> blank but appears as what looks like a different character. I have submitted a question to stackoverflow which
>> includes screen shots of what the code should look like in both terminal and in emacs. I am running on
>> macOS Mojave 10.14.
>
> Probably macOS specific: that character displays fine on MS-Windows.

On my GNU/Linux box with both GTK and Lucid builds, I see that the
blanked dots do show up, similar to what the OP shows in their linked
screenshot.  Interestingly, I *don't* see the blanked dots in the
completion window for C-x 8 RET braille TAB.

Doing C-u C-x = on the character in the completion window shows (where
it's blanked out as expected)

    xft:-unknown-DejaVu Serif-normal-italic-normal-*-15-*-*-*-*-0-iso10646-1 (#xA6F)

whereas, the same character in other places shows (where it's not
entirely blanked out)

    xft:-unknown-Unifont-normal-normal-normal-*-15-*-*-*-d-0-iso10646-1 (#x2803)